/*----------------------------------------
  Hardware-Definitionen 
  (c) 2004 E.Hermanns
  ----------------------------------------*/

#ifndef _HARDWARE_
# define _HARDWARE_

// AvrCtl-defines mit HW_

// Port B, Ausgabeport Pin-Definitionen
# define HW_OUT_PORT 	PORTB
# define HW_OUT_DDR 	DDRB
# define HW_TOGGLE	7	// RC5-Togglebit
# define HW_ALIVE 	6	// Alive-led
# define HW_RELAIS	4	// Relais ein/aus
# define HW_DCF_SIG 	2	// DCF-Signalanzeige
# define HW_MEASURE 	1	// Messung laeuft

// LCD-Anschluss
# define HW_HD_RS_BIT	0
# define HW_HD_RD_BIT	1
# define HW_HD_EN_BIT	2
# define HW_HD_BUSY_BIT	7
# define HW_HD_PORT	PORTC
# define HW_HD_PIN 	PINC
# define HW_HD_DDR	DDRC

// DCF77-Antennenanschluss
# define HW_DCF_IN_PORT PINC
# define HW_DCF_DDR 	DDRC
# define HW_DCF_PIN  	3

#endif
